3.21.5 and Ubuntu 24.04

23 views
Skip to first unread message

Markus Rexhepi-Lindberg

unread,
May 16, 2024, 4:14:51 AMMay 16
to help-cfengine
When can we expect a 3.21.5 release which I assume will include support for Ubuntu 24.04?

--
Markus

Nick Anderson

unread,
May 16, 2024, 6:30:19 PMMay 16
to dazet...@gmail.com, help-cfengine

When can we expect a 3.21.5 release which I assume will include support for Ubuntu 24.04?

Hi Markus,

Our regular release cadence is ~6 months. The next batch of releases (3.18.8, 3.21.5, 3.24.0) will happen this summer. This will be the last expected release for 3.18.x as we introduce a new LTS series (3.24).

I don't know if those releases will contain specific builds for Ubuntu 24.04 but the builds for 3.22 should work fine. If you are finding issues with the package for Ubuntu 22 not working correctly on Ubuntu 24 report it on our issue tracker (https://northerntech.atlassian.net/jira/software/c/projects/CFE).

You can use cf-remote to watch nightly packages for it to appear.

$ cf-remote --version 3.21.x list ubuntu
Available releases: master, 3.23.0, 3.21.x, 3.21.4, 3.21.3, 3.21.2, 3.21.1, 3.21.0, 3.18.x, 3.18.7, 3.18.6, 3.18.5, 3.18.4, 3.18.3, 3.18.2, 3.18.1, 3.18.0
Using 3.21.x LTS:
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_HUB_x86_64_linux_ubuntu_16/cfengine-nova-hub_3.21.5a.39f0fadaa~33083.ubuntu16_amd64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_HUB_x86_64_linux_ubuntu_18/cfengine-nova-hub_3.21.5a.39f0fadaa~33083.ubuntu18_amd64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_HUB_x86_64_linux_ubuntu_20/cfengine-nova-hub_3.21.5a.39f0fadaa~33077.ubuntu20_amd64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_HUB_x86_64_linux_ubuntu_22/cfengine-nova-hub_3.21.5a.39f0fadaa~33083.ubuntu22_amd64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_HUB_arm_64_linux_ubuntu_22/cfengine-nova-hub_3.21.5a.39f0fadaa~33083.ubuntu22_arm64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_x86_64_linux_ubuntu_16/cfengine-nova_3.21.5a.39f0fadaa~33083.ubuntu16_amd64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_x86_64_linux_ubuntu_18/cfengine-nova_3.21.5a.39f0fadaa~33083.ubuntu18_amd64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_x86_64_linux_ubuntu_20/cfengine-nova_3.21.5a.39f0fadaa~33083.ubuntu20_amd64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_x86_64_linux_ubuntu_22/cfengine-nova_3.21.5a.39f0fadaa~33083.ubuntu22_amd64.deb
http://buildcache.cfengine.com/packages/testing-pr/jenkins-3.21.x-nightly-pipeline-370/PACKAGES_arm_64_linux_ubuntu_22/cfengine-nova_3.21.5a.39f0fadaa~33083.ubuntu22_arm64.deb

Nick Anderson

unread,
May 16, 2024, 6:37:50 PMMay 16
to help-cfengine
Correction, the builds for Ubuntu 22 (not 3.22) should work fine

Markus Rexhepi-Lindberg

unread,
May 17, 2024, 2:21:21 AMMay 17
to help-cfengine

Our regular release cadence is ~6 months. The next batch of releases (3.18.8, 3.21.5, 3.24.0) will happen this summer. This will be the last expected release for 3.18.x as we introduce a new LTS series (3.24).

I don't know if those releases will contain specific builds for Ubuntu 24.04 but the builds for 3.22 should work fine. If you are finding issues with the package for Ubuntu 22 not working correctly on Ubuntu 24 report it on our issue tracker (https://northerntech.atlassian.net/jira/software/c/projects/CFE).

 Thanks for the info. When installing the package it emits a warning "prompt" that it might be unsupported with a 15 second timeout. But as you mention it seems to work fine anyway.

--
Markus

Nick Anderson

unread,
May 17, 2024, 11:25:19 AMMay 17
to help-cfengine
Yeah, that warning is just to identify that the package wasn't built on that platform. Typically it works fine to use the build for the slightly older platform, but not always so if you do run into problems that seem specific to Ubuntu 24 please let us know.
Reply all
Reply to author
Forward
0 new messages